MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027727Open CASCADE[OCCT] OCCT:Visualizationpublic2016-07-29 12:392016-12-09 16:38
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.4.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027727: Visualization, Graphic3d_ArrayOfPrimitives::SetVertexColor() - define opaque color for RGB input
DescriptionCurrent implementation of Graphic3d_ArrayOfPrimitives::SetVertexColor() defines fully transparent RGBA color, which does not look correct.
Steps To Reproducev3d/point_cloud/sphere
TagsNo tags attached.
Test case numberv3d point_cloud sphere
Attached Files

- Relationships
related to 0024838newkgv Visualization, TKOpenGl - make general rendering path compatible with OpenGL 3.1+ core profiles 

-  Notes
(0056282)
git (administrator)
2016-07-29 12:44

Branch CR27727 has been created by kgv.

SHA-1: 09c6f7071d69b5d26553f217e1b731f26a098511


Detailed log of new commits:

Author: kgv
Date: Fri Jul 29 12:45:41 2016 +0300

    0027727: Visualization, Graphic3d_ArrayOfPrimitives::SetVertexColor() - define opaque color for RGB input
(0056283)
kgv (developer)
2016-07-29 12:44

Patch is ready for review.
(0056286)
san (developer)
2016-07-29 14:44

Branch CR27727 reviewed without remarks, ready for testing.
(0056344)
apv (tester)
2016-08-01 17:18

Dear BugMaster,

Branch CR27727 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 09c6f7071d69b5d26553f217e1b731f26a098511

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1128

Regressions/Differences:
Not detected

Testing cases:
v3d point_cloud sphere - OK
http://occt-tests/CR27727-master-OCCT/Debian70-64/v3d/point_cloud/sphere.html [^]
http://occt-tests/CR27727-master-OCCT/Windows-64-VC10/v3d/point_cloud/sphere.html [^]

Testing on Linux:
Total MEMORY difference: 89939349 / 90064648 [-0.14%]
Total CPU difference: 19399.859999999964 / 19349.080000000093 [+0.26%]

Testing on Windows:
Total MEMORY difference: 57073984 / 57093912 [-0.03%]
Total CPU difference: 18322.021048098843 / 18078.831089198848 [+1.35%]
(0057186)
git (administrator)
2016-08-26 16:26

Branch CR27727 has been deleted by inv.

SHA-1: 09c6f7071d69b5d26553f217e1b731f26a098511

- Related Changesets
occt: master 30c1ef75
Timestamp: 2016-07-29 09:45:41
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027727: Visualization, Graphic3d_ArrayOfPrimitives::SetVertexColor() - define opaque color for RGB input
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.lxx Diff ] File ]
mod - tests/v3d/point_cloud/sphere Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-07-29 12:39 kgv New Issue
2016-07-29 12:39 kgv Assigned To => kgv
2016-07-29 12:44 git Note Added: 0056282
2016-07-29 12:44 kgv Note Added: 0056283
2016-07-29 12:44 kgv Assigned To kgv => san
2016-07-29 12:44 kgv Severity minor => trivial
2016-07-29 12:44 kgv Status new => resolved
2016-07-29 12:45 kgv Relationship added related to 0024838
2016-07-29 13:09 kgv Product Version 7.0.0 => 6.4.0
2016-07-29 14:44 san Note Added: 0056286
2016-07-29 14:44 san Assigned To san => bugmaster
2016-07-29 14:44 san Status resolved => reviewed
2016-07-29 16:18 apv Assigned To bugmaster => apv
2016-08-01 17:16 apv Test case number => v3d point_cloud sphere
2016-08-01 17:18 apv Note Added: 0056344
2016-08-01 17:18 apv Assigned To apv => bugmaster
2016-08-01 17:18 apv Status reviewed => tested
2016-08-05 13:30 bugmaster Changeset attached => occt master 30c1ef75
2016-08-05 13:30 bugmaster Status tested => verified
2016-08-05 13:30 bugmaster Resolution open => fixed
2016-08-26 16:26 git Note Added: 0057186
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker